pandoc-3.7.0.2: Conversion between markup formats

Safe Haskell | None
Language | Haskell2010

Text.Pandoc.Writers.Math

Synopsis

- texMathToInlines :: PandocMonad m => MathType -> Text -> m [Inline]
- convertMath :: PandocMonad m => (DisplayType -> [Exp] -> a) -> MathType -> Text -> m (Either Inline a)
- defaultMathJaxURL :: Text
- defaultKaTeXURL :: Text

# Documentation

texMathToInlines #

Arguments

:: PandocMonad m |
=> MathType |
-> Text | String to parse (assumes `'n'` line endings)
-> m [Inline] |

Converts a raw TeX math formula to a list of `Pandoc` inlines. Defaults to raw formula between `$` or `$$` characters if entire formula can't be converted.

convertMath :: PandocMonad m => (DisplayType -> [Exp] -> a) -> MathType -> Text -> m (Either Inline a) #

Converts a raw TeX math formula using a writer function, issuing a warning and producing a fallback (a raw string) on failure.

defaultMathJaxURL :: Text #

defaultKaTeXURL :: Text #